Bug 1349204 (CVE-2015-8930) - CVE-2015-8930 libarchive: Endless loop in ISO parser
Summary: CVE-2015-8930 libarchive: Endless loop in ISO parser
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8930
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1352776 1353065 1353066
Blocks: 1334215
TreeView+ depends on / blocked
 
Reported: 2016-06-23 00:16 UTC by Doran Moppert
Modified: 2019-09-29 13:51 UTC (History)
4 users (show)

Fixed In Version: libarchive 3.2.0
Doc Type: Bug Fix
Doc Text:
A vulnerability was found in libarchive. A specially crafted ISO file could cause the application to consume resources until it hit a memory limit, leading to a crash or denial of service.
Clone Of:
Environment:
Last Closed: 2016-10-18 04:59:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1844 normal SHIPPED_LIVE Important: libarchive security update 2016-09-13 00:11:35 UTC

Description Doran Moppert 2016-06-23 00:16:40 UTC
A denial of service was discovered in libarchive in the processing of .iso
files.  A specially crafted .iso could cause the process to go into an (almost)
endless loop, eventually exiting with an error after hitting memory limits.

libarchive-2.8 does not support the required construct in ISO files.

Upstream bug:
    https://github.com/libarchive/libarchive/issues/522

Upstream fix (two parts):
    https://github.com/libarchive/libarchive/commit/39fc593

    https://github.com/libarchive/libarchive/commit/01cfbca

Comment 2 Doran Moppert 2016-07-05 04:38:28 UTC
Created libarchive tracking bugs for this issue:

Affects: fedora-all [bug 1352776]

Comment 5 errata-xmlrpc 2016-09-12 20:14:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1844 https://rhn.redhat.com/errata/RHSA-2016-1844.html


Note You need to log in before you can comment on or make changes to this bug.